/* html, body {
    touch-action: pan-x pan-y !important;
} */

.elementor-widget-ts-map {
    touch-action: pan-x pan-y pinch-zoom !important;
}

/** change vx-dialog and dialog-content location **/

.elementor-1059 .elementor-element.elementor-element-8e7e729 .ts-form-group:not(.ui-heading-field) label #text {
    order: 1;
}

.elementor-1059 .elementor-element.elementor-element-8e7e729 .ts-form-group:not(.ui-heading-field) label .vx-dialog {
    order: 2;
    margin-left: unset;
}

.elementor-1059 .elementor-element.elementor-element-8e7e729 .ts-form-group:not(.ui-heading-field) label .vx-dialog .vx-dialog-content {
    order: 3;
    right: auto;
}

.elementor-1059 .elementor-element.elementor-element-8e7e729 .ts-form-group:not(.ui-heading-field) label .is-required {
    order: 4;
}




/** Additional Information **/

/* .field-key-ui-heading-Additional-Information {
    font-weight: 600;
    padding-top: 20px;
    padding-bottom: 5px;
}

.ts-form .ts-form-group.ui-heading-field label {
    font-size: 28px !important;
}
 */
.form-field-grid {
    grid-gap: 24px;
}
.ts-form .ts-form-group.ui-heading-field  {
    background: #DFF2EC;
    padding: 8px;
    border-radius: 8px;
}
body .ts-form .ts-form-group>label {
    padding-bottom: 16px;
}
.ts-form .ui-html-content {
    font-size: 14px;
    /* opacity: 0.5; */
}
.ts-form-group.switcher-label label {
    font-weight: normal !important;
    flex-wrap: nowrap !important;
    /* align-items: flex-start !important; */
    align-items: center !important;
}


/**  **/

span.unread-indicator {
    right: 0px !important;
    left: unset !important;
}

@media (max-width: 767px) {
    .rev-cats {
        display: flex !important;
        flex-direction: column !important;
    }
}

body:not(.wp-admin) .hide-in-frontend {
/* display: none !important; */
}

/* Default styles for desktop */
/* .single-listing-tabs .e-n-tabs-heading.vx-event-ntabs {
  position: sticky;
  top: 10px; 
  z-index: 999;
    border-radius: 50px;
    top: 10px;
 
    box-shadow: 0 2px 12px #2222221a; 
    background: #ffffffb3 !important;
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
} */
/* 
@media (max-width: 1024px) {
  .c_sticky_tab .e-n-tabs-heading.vx-event-ntabs {
    padding: 24px;
  }
} */


.codicts-preview-carousel .swiper-slide img {
    height: 270px !important;
    object-fit: cover;
    width: 100%;
}

.ts-preview:not(.codicts-inline-ad) > div,
.ts-preview:not(.codicts-inline-ad) > div > div:not(.codicts-no-height)
{
   height: 100%; 
}
.ts-marker-cluster {
   background-color: #2987e5 !important;
}


.addon-cards .addon-details .adc-subtitle, .vx-addon-price
{
    margin-left: auto;
    font-size: 16px;
}

.hover-cursor {
    cursor: pointer;
}

.vxfeed .vxf-comment.vxf-post {
    background: var(--main-bg);
    border: 1px solid var(--main-border);
    border-radius: var(--lg-radius);
    padding: 20px;
    gap: 12px;
    display: grid;
    animation-name: feedIntro;
    animation-duration: .2s;
    box-shadow: var(--main-shadow);
}

.elementor-widget-text-editor h1, 
.elementor-widget-text-editor h2,
.elementor-widget-text-editor h3,
.elementor-widget-text-editor h4,
.elementor-widget-text-editor h5,
.elementor-widget-text-editor h6
{
    line-height: 1;
    margin-top: 0;
}

/** Elementor Button **/
.elementor-button { cursor:pointer; }

.ts-product-main > div
{
    order: 0;
}
.ts-product-main > div.codicts-quantity-selector
{
    width: 30%;
    order: 1;
}

.ts-product-main > div.product-actions
{
    order: 2;
}

.ts-product-main:has(> div.codicts-quantity-selector) > div.product-actions {
    width: 65%;
    margin-left: auto;
    margin-top: -64px;
}
.ts-product-main > div.tcc-container
{
    order: 3;
}

@media (max-width: 500px)
{
    .ts-product-main > div.codicts-quantity-selector
    {
        width: 100%;
    }
    .ts-product-main > div.product-actions
    {
        width: 100% !important;
        margin-left: 0 !important;
        margin-top: 0 !important;
    }
}

@media (min-width: 1111px)
{
    .codicts-login-li-wrapper
    {
        display:none !important;
    }
}
.codicts-login-li-wrapper a {
    height: auto !important;
}
.codicts-login-li-wrapper a span {
    font-family: var(--e-global-typography-579f1cd-font-family), Sans-serif;
    font-size: var(--e-global-typography-579f1cd-font-size);
    font-weight: var(--e-global-typography-579f1cd-font-weight);
    line-height: var(--e-global-typography-579f1cd-line-height);
    fill: var(--e-global-color-0c6c884);
    color: var(--e-global-color-0c6c884);
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.5);
    font-size: var(--e-global-typography-579f1cd-font-size);
    line-height: var(--e-global-typography-579f1cd-line-height);
    background-color: var(--e-global-color-accent);
    padding: 12px 24px;
    margin: auto !important;
    border-radius: 10px;
    color: var(--e-global-color-0c6c884) !important;
}

/* smart match */
.elementor-widget-ts-post-feed:not(.has-smart-match) .codicts-smart-match-wrap,
.body.single .codicts-smart-match-wrap{
    display: none !important;
}



/* carousel background fix */
.post-feed-grid.ts-feed-nowrap .ts-preview {
  padding-top: 8px !important;
  padding-bottom: 8px !important;
}
.post-feed-grid.ts-feed-nowrap .ts-preview:first-child {
  padding-left: 8px !important;
}
.post-feed-grid.ts-feed-nowrap .ts-preview:last-child {
  padding-right: 8px !important;
}

.codicts-facebook-signin svg,
.codicts-apple-signin svg {
    width: 24px !important;
    height: 24px !important;
}
.codicts-facebook-signin svg > path:first-child {
    fill: #1877F2 !important;
}
.codicts-facebook-signin svg > path:last-child {
    fill: #fff !important;
}
.codicts-review-wrap .vxf-post .vxf-body
{
    display: flex;
    flex-direction: column;
}
.codicts-review-wrap .vxf-post .vxf-body > div
{
    order: 1;
}
.codicts-review-wrap .vxf-post .vxf-body > div.vxf-body-text
{
    order: 0;
}

.vx-avatar img {
    object-fit: cover;
    image-rendering: auto;
}
.ts-popup-content-wrapper {
    max-height: 340px !important;
}